package com.iamberry.sys;

import java.io.Serializable;
import java.util.Date;

/**
 * 管理员拥有的权限信息
 * @author 献
 * @company 深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @tel 18271840547
 * @date 2017/5/12
 */
public class AdminPocess implements Serializable{

    private static final long serialVersionUID = -160730018745014868L;
    // id
    private Integer pocessId;
    // 一级菜单id
    private Integer menuId;
    // 二级菜单id
    private Integer subId;
    // 权限id
    private Integer permId;
    // 管理员id
    private Integer ruleId;
    // 权限操作符
    private String pocessSymbol;
    // 时间
    private Date pocessCreateTime;

    public Integer getPocessId() {
        return pocessId;
    }

    public void setPocessId(Integer pocessId) {
        this.pocessId = pocessId;
    }

    public Integer getMenuId() {
        return menuId;
    }

    public void setMenuId(Integer menuId) {
        this.menuId = menuId;
    }

    public Integer getSubId() {
        return subId;
    }

    public void setSubId(Integer subId) {
        this.subId = subId;
    }

    public Integer getPermId() {
        return permId;
    }

    public void setPermId(Integer permId) {
        this.permId = permId;
    }

    public Integer getRuleId() {
        return ruleId;
    }

    public void setRuleId(Integer ruleId) {
        this.ruleId = ruleId;
    }

    public String getPocessSymbol() {
        return pocessSymbol;
    }

    public void setPocessSymbol(String pocessSymbol) {
        this.pocessSymbol = pocessSymbol;
    }

    public Date getPocessCreateTime() {
        return pocessCreateTime;
    }

    public void setPocessCreateTime(Date pocessCreateTime) {
        this.pocessCreateTime = pocessCreateTime;
    }
}
